import sys

from PyQt4.QtCore import *
from PyQt4.QtGui import *



class TimeTreeView(QAbstractListModel):
    def __init__(self, data, parent=None):
        super(TimeTreeView, self).__init__(parent)

        self.data = data
        print self.data
        timer = QTimer(parent)
        timer.setInterval(1000)
        self.connect(timer, SIGNAL('timeout()'), self.timerhit)
     
    def rowCount(self, parent):
        return len(self.data)


    def data(self, index, role=Qt.DisplayRole):

        if role == Qt.DisplayRole:
            row = index.row()
            if row != 2:

                value = self.data[row]

                return value

            if row == 2:
                current_time = QTime()
            #self.dataChanged.emit(index,index)
                return current_time.currentTime().toString()

    def timerhit(self, index):
        row =  index.row()
        if row == 2:
            self.dataChanged.emit()


def main():
    myapp = QApplication(sys.argv)

    data = ['Time1', 'Time2', 'Time3']

    model = TimeTreeView(data)
    
    tree_view = QTreeView()
    tree_view.show()
    tree_view.setModel(model)


    myapp.exec_()


if __name__ == '__main__':
    main()